package com.goldenwater.slgc.mapper;

import java.util.List;
import com.goldenwater.slgc.domain.AttRvBase;
import org.apache.ibatis.annotations.Mapper;

/** 河流信息 Mapper */
@Mapper
public interface AttRvBaseMapper {
    /**
     * 查询河流信息列表
     * 
     * @param attRvBase 查询条件
     * @return 河流信息列表
     */
    public List<AttRvBase> selectAttRvBaseList(AttRvBase attRvBase);

    /**
     * 通过河流编码查询河流信息
     * 
     * @param rvCode 河流编码
     * @return 河流信息
     */
    public AttRvBase selectAttRvBaseById(String rvCode);

    /**
     * 通过河流编码删除河流信息
     * 
     * @param rvCode 河流编码
     * @return 影响行数
     */
    public int deleteAttRvBaseById(String rvCode);

    /**
     * 批量删除河流信息
     * 
     * @param rvCodes 河流编码数组
     * @return 影响行数
     */
    public int deleteAttRvBaseByIds(String[] rvCodes);

    /**
     * 修改河流信息
     * 
     * @param attRvBase 河流信息
     * @return 影响行数
     */
    public int updateAttRvBase(AttRvBase attRvBase);

    /**
     * 新增河流信息
     * 
     * @param attRvBase 河流信息
     * @return 影响行数
     */
    public int insertAttRvBase(AttRvBase attRvBase);
}
